package exercises.ex_z4;

import java.util.Arrays;


public class AuctionMain {
    public static final String[] names = {
        "Sabrina", "José", "Patrick", "Salomé", "Lisa", "Alfred", "Annna", "Alex", "Kevin"
    };

    public static final Item[] items = {
        new Item("Album de Sabrina Carpenter"),
        new Item("Chaussette gauche de Freddie Mercury"),
        new Item("Peigne de Michael Jackson"),
        new Item("Décapsuleur de Kurt Cobain")
    };

    public static void main(String[] args) {
        Auctioneer auctioneer = new Auctioneer("Paul", Arrays.asList(items));

        new Thread(auctioneer).start();

        for (int i = 0; i < names.length; i++) {
            new Thread(new Bidder(names[i], auctioneer)).start();
        }
    }
}
